Subject: Re: winspool.lib
From: [email-masked] ("Ismael Jurado")

9 Apr 1997 21:33:50 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text/plain
X-Originating-IP: [194.179.125.60]
Original-To: [email-masked]
Original-Cc: [email-masked]
Original-Sender: [email-masked]

>Has anybody here done the import lib for winspool.drv?
>I have discovered to my dismay, that Microsoft has defined the exports
>without the '@' kludge. I.e. the export is named
>_EnumPrinterDriversA
>but this function is _stdcall, so my compiler (as probably gcc too)
>generates a call to a function :
>_EnumPrinterDriversA@28
> ...

I don't know if this will help you but
to generate a library file from a DLL, first you need the def file, that can
be generated whith my IMPDEF.C (I have posted a revision of it) or use the
IMPDEF.EXE that comes whith the LCC distribuition:

  IMPDEF winspool.drv > winspool.def

Then use dlltool to generate the lib:

dlltool --dllname winspool.drv --def winspool.def --output-lib libkernel32.a -k

and that's all!
        Ismael Jurado
        [email-masked]

---------------------------------------------------------
Get Your *Web-Based* Free Email at http://www.hotmail.com
---------------------------------------------------------
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".